# gdcm::Macros Class Reference

Class for representing a Modules. More...

`#include <gdcmMacros.h>`

Collaboration diagram for gdcm::Macros:
[legend]

List of all members.

## Public Types

typedef std::map< std::string, Macro > | ModuleMapType

## Public Member Functions

| Macros ()
void | AddMacro (const char *ref, const Macro &module)
void | Clear ()
const Macro & | GetMacro (const char *name) const
bool | IsEmpty () const

## Friends

std::ostream & | operator<< (std::ostream &_os, const Macros &_val)

## Detailed Description

Class for representing a Modules.

Note:
  bla

See also:
  Module

Examples:

  TraverseModules.cxx.

## Member Typedef Documentation

typedef std::map<std::string, Macro> gdcm::Macros::ModuleMapType

## Constructor & Destructor Documentation

gdcm::Macros::Macros | ( | ) | `[inline]`

## Member Function Documentation

void gdcm::Macros::AddMacro | ( | const char * | ref,
|  | const Macro & | module
| ) |  | `[inline]`

void gdcm::Macros::Clear | ( | ) | `[inline]`

const Macro& gdcm::Macros::GetMacro | ( | const char * | name ) | const`[inline]`

bool gdcm::Macros::IsEmpty | ( | ) | const`[inline]`

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | _os,
|  | const Macros & | _val
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- gdcmMacros.h